import QtQuick 2.4
import QtQuick.Controls 1.3
import FmGetui 1.0
Item{
    id: idAppGt

    // 收到消息事件
    signal receiveMessage(var msg)
    // 点击消息事件
    signal clickMessage(var msg)
    // 得到点击的消息,启动后手动调用一下此方法
    property var getClickMsg: Getui.getStartMsg

    property var resetStartMsg: function(){
        Getui.resetStartMsg();
    }

    property string appId : ""
    onAppIdChanged: {
        Getui.appId = appId;
    }

    property string appKey : ""
    onAppKeyChanged: {
        Getui.appKey = appKey;
    }

    property string appSecret:""
    onAppSecretChanged: {
        Getui.appSecret = appSecret;
    }

    // 获取推送使用的token
    property var getToken: function(callback){
        if ( Getui.token ){
            if ( callback instanceof Function )
                callback(Getui.token);
        }
        else{
            var fun = function(token){

                if ( callback instanceof Function )
                    callback(token);
                Getui.tokenChanged.disconnect(fun);
            }
            Getui.tokenChanged.connect(fun);
        }

    }

    Connections{
        target:Getui
        onReceiveMessage:{
            if ( msg )
                idAppGt.receiveMessage(msg)
        }
        onClickMessage:{
            if ( msg )
                idAppGt.clickMessage(msg)
        }
    }
}
